phoenix-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "jinzhuan@wacai.com" <jinzh...@wacai.com>
Subject error after upgrade to 4.8-hbase-1.1
Date Fri, 26 Aug 2016 14:22:22 GMT
after upgraded ,  a lot of WARN logs in hbase-regionserver.log:


2016-08-26 22:12:39,682 WARN  [pool-287-thread-1] coprocessor.MetaDataRegionObserver: ScheduledBuildIndexTask
failed!
java.lang.IllegalArgumentException
at org.apache.phoenix.index.IndexMaintainer.create(IndexMaintainer.java:121)
at org.apache.phoenix.schema.PTableImpl.getIndexMaintainer(PTableImpl.java:957)
at org.apache.phoenix.coprocessor.MetaDataRegionObserver$BuildIndexScheduleTask.run(MetaDataRegionObserver.java:318)
at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
at java.util.concurrent.FutureTask.runAndReset(FutureTask.java:308)
at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$301(ScheduledThreadPoolExecutor.java:180)
at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(ScheduledThreadPoolExecutor.java:294)
at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)
at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)
at java.lang.Thread.run(Thread.java:745)



jinzhuan@wacai.com
Mime
View raw message